Accounts API

Manage user accounts.

Base URL: https://api.bluenexus.ai/api/v1/accounts

GET /accounts/me

Get the current authenticated user's account.

Auth: Bearer token with account scope

Response (200):

{
  "id": "account-abc123",
  "name": "John Doe",
  "email": "john@example.com",
  "avatar": "https://...",
  "creditBalance": 18500,
  "createdAt": "2026-01-15T10:00:00Z",
  "updatedAt": "2026-04-13T08:00:00Z"
}

PUT /accounts/me

Update the current user's account.

Auth: Bearer token with account scope

{
  "name": "John Smith",
  "avatar": "https://..."
}

GET /accounts/:accountId

Get an account by ID.

Auth: Bearer token with account scope


PUT /accounts/:accountId

Update an account by ID.

Auth: Bearer token with account scope


DELETE /accounts/:accountId

Delete an account.

Auth: Bearer token with account scope


GET /accounts/:accountId/avatar

Get an account's avatar image.

Auth: Bearer token